summaryrefslogtreecommitdiffstats
path: root/source/l/PyQt/PyQt.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/PyQt/PyQt.SlackBuild')
-rwxr-xr-xsource/l/PyQt/PyQt.SlackBuild41
1 files changed, 30 insertions, 11 deletions
diff --git a/source/l/PyQt/PyQt.SlackBuild b/source/l/PyQt/PyQt.SlackBuild
index 4232d5f46..7d89221a2 100755
--- a/source/l/PyQt/PyQt.SlackBuild
+++ b/source/l/PyQt/PyQt.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for PyQt
# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,12 +24,22 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# Modified by Robby Workman <rworkman@slackware.com>
+# Modified by Eric Hameleers <alien@slackware.com>
-VERSION=${VERSION:-4.4.4}
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-4.7.3}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j6}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-PyQt
@@ -40,14 +50,20 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf PyQt-$VERSION
-tar xvf $CWD/PyQt-x11-gpl-$VERSION.tar.bz2 || exit 1
+rm -rf PyQt-x11-gpl-$VERSION
+tar xvf $CWD/PyQt-x11-gpl-$VERSION.tar.?z* || exit 1
cd PyQt-x11-gpl-$VERSION || exit 1
+
+# Fix phonon detection:
+zcat $CWD/PyQt.phonon.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -55,10 +71,13 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-echo "yes" | \
- python configure.py \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS"
+# This avoids compiling a version number into KDE's .la files:
+export QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+
+python configure.py --confirm-license --verbose
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -75,5 +94,5 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/PyQt-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/PyQt-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz